# $Revision: 1.5 $, $Date: 2010/07/08 08:17:37 $
%define 	module	kaa-base
#
Summary:	Base module for all Kaa modules
Summary(pl.UTF-8):	Moduł bazowy dla wszystkich modułów Kaa
Name:		python-%{module}
Version:	0.1.2
Release:	3
License:	LGPL
Group:		Libraries/Python
Source0:	http://dl.sourceforge.net/freevo/%{module}-%{version}.tar.gz
# Source0-md5:	8d24829e4064e263a78dc70fce544234
URL:		http://www.freevo.org/kaa/
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module contains some basic code needed in all kaa modules.

The module also contains a main loop (notifier). Some kaa modules like
kaa-Display require the main loop to be running, for other modules
like kaa-Thumb it's optional and some like kaa-Metadata don't need the
main loop at all.

%description -l pl.UTF-8
Niniejszy moduł zawiera podstawowy kod wymagany przez wszystkie
moduły Kaa. Zawiera także główną pętlę (notifier), której niektóre
moduły kaa, jak np. kaa-Display, wymagają do działania. W przypadku
pozostałych jest to opcjonalne (np. kaa-Thumb) lub też nie wymagane
(np. kaa-Metadata).

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="%{rpmcflags}"
export CFLAGS
python setup.py build_ext

%install
rm -rf $RPM_BUILD_ROOT

python setup.py install \
	--install-purelib=%{py_sitedir} \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{py_sitedir}/*.egg-info
%dir %{py_sitedir}/kaa
%attr(755,root,root) %{py_sitedir}/kaa/*.so
%{py_sitedir}/kaa/*.py[co]
%dir %{py_sitedir}/kaa/distribution
%{py_sitedir}/kaa/distribution/*.py[co]
%dir %{py_sitedir}/kaa/inotify
%{py_sitedir}/kaa/inotify/*.py[co]
%dir %{py_sitedir}/kaa/input
%{py_sitedir}/kaa/input/*.py[co]
%dir %{py_sitedir}/kaa/notifier
%{py_sitedir}/kaa/notifier/*.py[co]
%dir %{py_sitedir}/kaa/notifier/pynotifier
%{py_sitedir}/kaa/notifier/pynotifier/*.py[co]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-kaa-base.spec,v $
Revision 1.5  2010/07/08 08:17:37  arekm
- release 3

Revision 1.4  2008/10/03 17:52:21  arekm
- release 2

Revision 1.3  2007-03-31 17:22:12  qboosh
- python epoch
- BR: rpm-pythonprov

Revision 1.2  2007/03/19 10:44:39  beorn
- Polish translation

Revision 1.1  2007/03/18 17:55:22  arekm
- new
